## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate bytemuck

Name:           rust-%{crate}
Version:        1.8.0
Release:        %autorelease
Summary:        Crate for mucking around with piles of bytes

# Upstream license specification: Zlib OR Apache-2.0 OR MIT
License:        zlib or ASL 2.0 or MIT
URL:            https://crates.io/crates/bytemuck
Source:         %{crates_source}
# Initial patched metadata
# * Exclude unneeded files, https://github.com/Lokathor/bytemuck/pull/23
Patch0:         bytemuck-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Crate for mucking around with piles of bytes.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%license %{crate_instdir}/LICENSE-ZLIB
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/changelog.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+aarch64_simd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+aarch64_simd-devel %{_description}

This package contains library source intended for building other packages which
use the "aarch64_simd" feature of the "%{crate}" crate.

%files       -n %{name}+aarch64_simd-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bytemuck_derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bytemuck_derive-devel %{_description}

This package contains library source intended for building other packages which
use the "bytemuck_derive" feature of the "%{crate}" crate.

%files       -n %{name}+bytemuck_derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+derive-devel %{_description}

This package contains library source intended for building other packages which
use the "derive" feature of the "%{crate}" crate.

%files       -n %{name}+derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+extern_crate_alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+extern_crate_alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "extern_crate_alloc" feature of the "%{crate}" crate.

%files       -n %{name}+extern_crate_alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+extern_crate_std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+extern_crate_std-devel %{_description}

This package contains library source intended for building other packages which
use the "extern_crate_std" feature of the "%{crate}" crate.

%files       -n %{name}+extern_crate_std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+min_const_generics-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+min_const_generics-devel %{_description}

This package contains library source intended for building other packages which
use the "min_const_generics" feature of the "%{crate}" crate.

%files       -n %{name}+min_const_generics-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unsound_ptr_pod_impl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unsound_ptr_pod_impl-devel %{_description}

This package contains library source intended for building other packages which
use the "unsound_ptr_pod_impl" feature of the "%{crate}" crate.

%files       -n %{name}+unsound_ptr_pod_impl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zeroable_maybe_uninit-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zeroable_maybe_uninit-devel %{_description}

This package contains library source intended for building other packages which
use the "zeroable_maybe_uninit" feature of the "%{crate}" crate.

%files       -n %{name}+zeroable_maybe_uninit-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Mar 04 2022 Fabio Valentini <decathorpe@gmail.com> 1.8.0-1
- Update to version 1.8.0; Fixes RHBZ#2059787

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 16 2021 Fabio Valentini <decathorpe@gmail.com> 1.7.3-1
- Update to version 1.7.3; Fixes RHBZ#2033194

* Mon Nov 01 2021 Fabio Valentini <decathorpe@gmail.com> 1.7.2-1
- Update to version 1.7.2

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 18 2021 Fabio Valentini <decathorpe@gmail.com> - 1.7.0-1
- Update to version 1.7.0.
- Fixes RHBZ#1970630

* Sat Feb 27 2021 Fabio Valentini <decathorpe@gmail.com> - 1.5.1-1
- Update to version 1.5.1.
- Fixes RHBZ#1929979

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 14 2021 Fabio Valentini <decathorpe@gmail.com> - 1.5.0-1
- Update to version 1.5.0.
- Fixes RHBZ#1916030

* Wed Sep 23 2020 Fabio Valentini <decathorpe@gmail.com> - 1.4.1-1
- Update to version 1.4.1.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Feb 17 11:01:24 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.2.0-1
- Initial package

